unit EvalSub;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, EvalPar, ExtCtrls, EvalExPa,DB,Eval;

type
  TSubFunctionFmt = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    FN: TEvalFnPanel;
    AR: TEvalParams;
    HelpBtn: TBitBtn;
    procedure FNFunctionChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


  
  function DialogExpression(_Level:Integer; _Eval:TEval; HelpIdx:Integer):String;


var
  SubFunctionFmt: TSubFunctionFmt;

implementation
uses EvalRes;

{$R *.DFM}

function DialogExpression(_Level:Integer; _Eval:TEval; HelpIdx:Integer):String;
var F:TSubFunctionFmt;
begin
    Result:='';
    F:=TSubFunctionFmt.Create(Application);
    try
       F.AR.Level      := _Level+1;
       F.Caption       := rsSubFunctionCaption+' ('+IntToStr(F.AR.Level)+')';
       F.AR.EVAL       := _Eval;
       F.HelpBtn.HelpContext:=HelpIdx;
       F.HelpBtn.Visible:=(HelpIdx<>0);
       if F.ShowModal=mrOK then Result:=F.AR.Expression;
    finally
       F.Free;
    end;
end;


procedure TSubFunctionFmt.FNFunctionChange(Sender: TObject);
begin
     AR.SelectedFunction:=FN.SelectedFunction;
end;

end.
