unit EvalReg;

interface
uses classes, DsgnIntf,
     eval,evalist,evalcom,evalpar,evalexpa,evalnav,
     evallbl,EvalSimp;


type
    TEvalLabelProperty = class(TClassProperty)
    public
        function GetAttributes:TPropertyAttributes; override;
    end;

    TEvalEditProperty = class(TClassProperty)
    public
        function GetAttributes:TPropertyAttributes; override;
    end;


procedure Register;

implementation
{$R Eval.Res}

procedure Register;
begin
  RegisterComponents('Eval',[TEval,TEvalList,
                             TEvalFnGroupCombo,TEvalFnGroupList,
                             TEvalFnComboBox,TEvalFnListBox,
                             TEvalHistoryCombo,
                             TEvalParams,
                             TEvalFnPanel,TEvalSimpleDesigner,
                             TEvalDBNavigator]);

//   RegisterPropertyEditor(TypeInfo(TEvalLabel),nil,'',TEvalLabelProperty);
//   RegisterPropertyEditor(TypeInfo(TEvalEdit), nil,'',TEvalEditProperty);

end;



function TEvalLabelProperty.GetAttributes:TPropertyAttributes;
begin
     Result:=[paSubProperties,paReadOnly,paMultiSelect];
end;

function TEvalEditProperty.GetAttributes:TPropertyAttributes;
begin
     Result:=[paMultiSelect, paSubProperties, paReadOnly];
end;



end.
