unit EvalLbl;

interface

uses Classes,Controls,stdctrls;

type
    TEvalLabel = class (TCustomLabel)
    private
          procedure SetEvalLabelVisible(Value:Boolean);
    public
          constructor Create(AOwner:TComponent); override;
    published
          property Alignment;
          property AutoSize;
          property Visible Write SetEvalLabelVisible;
          property Font;
          property ParentFont;
          property WordWrap;
          property Caption;
          property Color;
    end;

    TEvalEdit = class(TCustomEdit)
    private
          procedure SetEvalEditVisible(Value:Boolean);
    published
          property OnChange;   
          property Visible Write SetEvalEditVisible;
    end;


implementation

uses EvalExPa,EvalPar;


constructor TEvalLabel.Create(AOwner:TComponent);
begin
     inherited Create(AOwner);
end;


procedure TEvalLabel.SetEvalLabelVisible(Value:Boolean);
begin
     inherited Visible:=Value;
     if Parent is TEvalFnPanel then
        TEvalFnPanel(Parent).ArrangeControls;
end;

procedure TEvalEdit.SetEvalEditVisible(Value:Boolean);
begin
     inherited Visible:=Value;
     if Parent is TEvalParams then
        TEvalParams(Parent).ArrangeControls;
end;



end.
 